org.apache.fontbox.cff

## Class Type2CharString

- java.lang.Object
- - org.apache.fontbox.cff.Type1CharString
  - - org.apache.fontbox.cff.Type2CharString

Direct Known Subclasses:
  CIDKeyedType2CharString

    public class Type2CharString
    extends Type1CharString

Represents a Type 2 CharString by converting it into an equivalent Type 1 CharString.

Author:
  Villu Ruusmann, John Hewson

### Constructor Summary

Constructors
Constructor and Description
`Type2CharString(Type1CharStringReader font, String fontName, String glyphName, int gid, List<Object> sequence, int defaultWidthX, int nomWidthX)` Constructor.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getGID()` Return the GID (glyph id) of this charstring.

### Methods inherited from class org.apache.fontbox.cff.Type1CharString

`addCommand, getBounds, getLastSequenceEntry, getName, getPath, getWidth, isSequenceEmpty, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Type2CharString

    public Type2CharString(Type1CharStringReader font,
                           String fontName,
                           String glyphName,
                           int gid,
                           List<Object> sequence,
                           int defaultWidthX,
                           int nomWidthX)

Constructor.

Parameters:
  `font` - Parent CFF font
  `fontName` - font name
  `glyphName` - glyph name (or CID as hex string)
  `gid` - GID
  `sequence` - Type 2 char string sequence
  `defaultWidthX` - default width
  `nomWidthX` - nominal width

### Method Detail

#### getGID

    public int getGID()

Return the GID (glyph id) of this charstring.

Returns:
  the GID of this charstring